Bug 244163 - Incorrect output of gfs2_tool sb <dev> all
Incorrect output of gfs2_tool sb <dev> all
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
Dean Jansa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 05:23 EDT by Steve Whitehouse
Modified: 2010-01-11 22:38 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 13:05:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem (2.06 KB, patch)
2007-06-18 17:53 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2007-06-14 05:23:29 EDT
The lockproto and locktable are not printed:

[root@et-virt05 ~]# gfs2_tool sb /dev/vroots/vroots_lv all
  mh_magic:0x00000000
  mh_type:4292201
  mh_format:4292201
  sb_fs_format:4292201
  sb_multihost_format:4292201
  sb_bsize:4292201
  sb_bsize_shift:4292201
  no_formal_ino:4292142
  no_addr:4292142
  no_formal_ino:4292142
  no_addr:4292142
  sb_lockproto:0x%x
  sb_locktable:0x%x

gfs2_edit confirms that the lockproto is lock_nolock and the lock_table is
blank. The blurb from the package is:

[root@et-virt05 ~]# rpm -qi gfs2-utils
Name        : gfs2-utils                   Relocations: (not relocatable)
Version     : 0.1.25                            Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Tue 16 Jan 2007 06:30:02
PM EST
Install Date: Fri 23 Mar 2007 05:19:48 PM EDT      Build Host:
hs20-bc1-7.build.redhat.com
Group       : System Environment/Kernel     Source RPM:
gfs2-utils-0.1.25-1.el5.src.rpm
Size        : 658015                           License: GPL
Signature   : DSA/SHA1, Wed 17 Jan 2007 02:23:37 PM EST, Key ID 5326810137017186
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://sources.redhat.com/cluster/
Summary     : Utilities for managing the global filesystem (GFS)
Description :
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.
Comment 1 Robert Peterson 2007-06-18 17:53:29 EDT
Created attachment 157335 [details]
patch to fix the problem

Tested on system trin-10 and committed to cvs at HEAD and RHEL5 
branches.
Comment 2 RHEL Product and Program Management 2007-06-18 18:03:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Robert Peterson 2007-06-18 18:45:08 EDT
Patch tested and committed to cvs.  Setting status to modified.
Comment 6 errata-xmlrpc 2007-11-07 13:05:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0579.html

Note You need to log in before you can comment on or make changes to this bug.